> ## Documentation Index
> Fetch the complete documentation index at: https://openlayer.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update tests

> Update tests.



## OpenAPI

````yaml put /projects/{projectId}/tests
openapi: 3.0.3
info:
  contact:
    email: support@openlayer.com
    name: Openlayer
    url: https://openlayer.com/
  description: API for interacting with the Openlayer server.
  title: Openlayer API
  version: '1.0'
  x-logo:
    url: https://logo.clearbit.com/openlayer.com
servers:
  - url: https://api.openlayer.com/v1
    description: Our prod backend
security:
  - bearerAuth: []
paths:
  /projects/{projectId}/tests:
    put:
      tags:
        - Projects
      description: Update tests.
      parameters:
        - $ref: '#/components/parameters/projectId'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - payloads
              properties:
                payloads:
                  type: array
                  maxLength: 400
                  items:
                    type: object
                    required:
                      - id
                    properties:
                      id:
                        type: string
                        format: uuid
                      name: 98145ff4-910c-4fee-8ed9-de9acddc1afa
                      description: 17711555-19ca-4003-b125-62e05d3ad22a
                      archived: cc0de84a-5255-47fe-a418-440f33ce0c25
                      thresholds: 1e24a1c8-1f08-4d6a-b87e-552d03924154
                      suggested:
                        type: boolean
                        enum:
                          - false
      responses:
        '202':
          description: Response OK. Task queued.
          content:
            application/json:
              schema:
                type: object
                properties:
                  taskResultUrl:
                    type: string
                  taskResultId:
                    type: string
        default:
          $ref: '#/components/responses/UnexpectedError'
components:
  parameters:
    projectId:
      name: projectId
      in: path
      description: The project id.
      required: true
      schema:
        type: string
        format: uuid
  responses:
    UnexpectedError:
      description: Unexpected error.
      content:
        application/json:
          schema:
            type: object
            required:
              - code
              - error
            properties:
              code:
                type: integer
                format: int32
              error:
                type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your workspace API key. See [Find your API
        key](https://www.openlayer.com/docs/workspace-and-projects/find-your-api-key)
        for more information.

````